<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0) on Mon Nov 23 18:44:14 CET 2009 -->
<TITLE>
Class Hierarchy (Package com.ericsson.otp.ic version 4.2.23)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Class Hierarchy (Package com.ericsson.otp.ic version 4.2.23)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="com/ericsson/otp/ic/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="com/ericsson/otp/ic/package-tree.html">com.ericsson.otp.ic</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Any.html" title="class in com.ericsson.otp.ic"><B>Any</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Term.html" title="class in com.ericsson.otp.ic"><B>Term</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/AnyHelper.html" title="class in com.ericsson.otp.ic"><B>AnyHelper</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/AnyHolder.html" title="class in com.ericsson.otp.ic"><B>AnyHolder</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/BooleanHolder.html" title="class in com.ericsson.otp.ic"><B>BooleanHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/ByteHolder.html" title="class in com.ericsson.otp.ic"><B>ByteHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/CharHolder.html" title="class in com.ericsson.otp.ic"><B>CharHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/DoubleHolder.html" title="class in com.ericsson.otp.ic"><B>DoubleHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Environment.html" title="class in com.ericsson.otp.ic"><B>Environment</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/FloatHolder.html" title="class in com.ericsson.otp.ic"><B>FloatHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/IntHolder.html" title="class in com.ericsson.otp.ic"><B>IntHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/LongHolder.html" title="class in com.ericsson.otp.ic"><B>LongHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.erlang.OtpErlangPid<UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Pid.html" title="class in com.ericsson.otp.ic"><B>Pid</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.erlang.OtpErlangPort<UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Port.html" title="class in com.ericsson.otp.ic"><B>Port</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.erlang.OtpErlangRef<UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Ref.html" title="class in com.ericsson.otp.ic"><B>Ref</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/PidHelper.html" title="class in com.ericsson.otp.ic"><B>PidHelper</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/PidHolder.html" title="class in com.ericsson.otp.ic"><B>PidHolder</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/PortHelper.html" title="class in com.ericsson.otp.ic"><B>PortHelper</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/PortHolder.html" title="class in com.ericsson.otp.ic"><B>PortHolder</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/RefHelper.html" title="class in com.ericsson.otp.ic"><B>RefHelper</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/RefHolder.html" title="class in com.ericsson.otp.ic"><B>RefHolder</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/ShortHolder.html" title="class in com.ericsson.otp.ic"><B>ShortHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/StringHolder.html" title="class in com.ericsson.otp.ic"><B>StringHolder</B></A> (implements com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic">Holder</A>)
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/TCKind.html" title="class in com.ericsson.otp.ic"><B>TCKind</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/TermHelper.html" title="class in com.ericsson.otp.ic"><B>TermHelper</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/TermHolder.html" title="class in com.ericsson.otp.ic"><B>TermHolder</B></A><LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/TypeCode.html" title="class in com.ericsson.otp.ic"><B>TypeCode</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.io.Serializable<UL>
<LI TYPE="circle">com.ericsson.otp.ic.<A HREF="com/ericsson/otp/ic/Holder.html" title="interface in com.ericsson.otp.ic"><B>Holder</B></A></UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="com/ericsson/otp/ic/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<CENTER><FONT SIZE=-1>Copyright &copy; 1991-2007 Ericsson AB<BR> </FONT> </CENTER></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
